Bug 1571774 - Glusterfs setup with 5 node, no option in GUI
Summary: Glusterfs setup with 5 node, no option in GUI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Other
unspecified
high
Target Milestone: ---
: ---
Assignee: Gobinda Das
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 12:12 UTC by Arghya Adhya
Modified: 2018-05-07 12:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 06:43:08 UTC
oVirt Team: Gluster


Attachments (Terms of Use)

Description Arghya Adhya 2018-04-25 12:12:16 UTC
Description of problem:

I want to configure 5 node glusterfs setup, but in GUI only 3 hosts option is there. So, is there any option to add 2 more node at the time of fresh installation or later expand gluster setup

Version-Release number of selected component (if applicable):

Version 4.2.2.6-1.el7.centos

Comment 1 Sahina Bose 2018-05-04 07:30:17 UTC
There's an option to expand the cluster post the 3 node setup. This can be done from the engine UI.

Comment 2 Arghya Adhya 2018-05-04 09:58:19 UTC
I have seen that option but if I don't have another 3 number of servers or I want add 2 more servers in my existing gluster fs setup, so can I do that or I am not able to extend my cluster unless I have 3 other servers.

Comment 3 Sahina Bose 2018-05-04 10:38:34 UTC
(In reply to Arghya Adhya from comment #2)
> I have seen that option but if I don't have another 3 number of servers or I
> want add 2 more servers in my existing gluster fs setup, so can I do that or
> I am not able to extend my cluster unless I have 3 other servers.

You can add 2 servers to cluster, but if you want to expand storage, you need to add a gluster volume with 3 bricks - these 3 bricks should come from 3 different servers. So if you have spare disks on existing servers that can be used, you can expand accordingly

Comment 4 Sahina Bose 2018-05-07 06:43:08 UTC
Closing this as no action needed here. If you have further questions, please send email to users@ovirt.org.


Note You need to log in before you can comment on or make changes to this bug.